Search Gradle plugins

name.remal.default-dependency-version

Plugin provides resolution strategy that sets dependency version if it's not set. Please run 'defaultDependencyVersionsHelp' to get help.

https://remal.gitlab.io/gradle-plugins/plugins/name.remal.default-dependency-version/

Using the plugins DSL:

plugins {
  id "name.remal.default-dependency-version" version "1.0.156"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "name.remal:gradle-plugins:1.0.156"
  }
}

apply plugin: "name.remal.default-dependency-version"

Using the plugins DSL:

plugins {
  id("name.remal.default-dependency-version") version "1.0.156"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("name.remal:gradle-plugins:1.0.156")
  }
}

apply(plugin = "name.remal.default-dependency-version")

Learn how to apply plugins to subprojects